Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.internal
Class DiagramPropertiesStatusCodes

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.properties.internal.DiagramPropertiesStatusCodes

    public class DiagramPropertiesStatusCodes

extends java.lang.Object

A list of status codes for this plug-in.

Field Summary
`static int` `CANCELLED` Status code indicating that an operation was cancelled.
`static int` `IGNORED_EXCEPTION_WARNING` Status code indicating that operation ignored exception.
`static int` `OK` Status code indicating that an operation was performed succesfully.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OK

    public static final int OK

  Status code indicating that an operation was performed succesfully.

  See Also:
    Constant Field Values

### CANCELLED

    public static final int CANCELLED

  Status code indicating that an operation was cancelled.

  See Also:
    Constant Field Values

### IGNORED_EXCEPTION_WARNING

    public static final int IGNORED_EXCEPTION_WARNING

  Status code indicating that operation ignored exception.

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.